Uploaded image for project: 'OpenShift Console'
  1. OpenShift Console
  2. CONSOLE-4097

Announce deprecation of PF4 support in console dynamic plugins

XMLWordPrintable

    • Icon: Story Story
    • Resolution: Done
    • Icon: Blocker Blocker
    • None
    • None
    • None
    • None
    • OEX OCP Console - Sprint 254

      Since console is aiming for adopting PF6 in 4.18, we need to start the deprecation process in 4.16, due to the N+1 deprecation policy.

      This will give us time in 4.17 to prepare console for adopting the PF6.

      This will give plugins time to move to PF5.

       

      AC:

      • Deprecate PF4 in plugin docs in console repo
      • Address the deprecation in release notes
      • Make announcement to #forum-ui-extensibility and on xyz mailing list

            vszocs@redhat.com Vojtech Szocs
            jhadvig@redhat.com Jakub Hadvig
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

              Created:
              Updated:
              Resolved: